<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <title>Google OAuth2 Microservice</title>
    <link rel="stylesheet" href="./css/bootstrap.min.css">
    <link rel="stylesheet" href="./css/app.css">
</head>

<body ng-app="GoogleOAuth2Microservice" ng-controller="AppCtrl" ng-cloak>
<div class="container" style="margin-top: 50px;">
    <!-- Login panel -->
    <div class=" col-md-4 col-md-offset-4">
        <div class="panel panel-default" ng-show="!user">
            <div class="panel-heading">Google login with OAuth2</div>
            <div class="panel-body">
                <div class="col-md-12">
                    <a class="btn btn-default" href="google/login">Google Login</a>
                </div>
            </div>
        </div>
        <!-- End Login panel -->

        <!-- Home panel.It will visible after successfull login -->
        <div class="panel panel-default" ng-show="user">
            <div class="panel-heading">
                <img class="p-img" alt="" ng-src="{{user.userAuthentication.details.picture}}"> Name: {{user.name}}
            </div>
            <div class="panel-body">
                <div class="col-md-12">Email: {{user.userAuthentication.details.email}}</div>
                <div class="col-md-12">
                    <a href="#" class="btn btn-default margin-top-5"
                       ng-click="logout()"> Logout </a>
                </div>
            </div>
        </div>
        <!-- End Home Panel -->

    </div>
</div>

<!-- Including Scripts -->
<script src="https://ajax.googleapis.com/ajax/libs/angularjs/1.5.6/angular.min.js"></script>
<script type="text/javascript" src="js/app.js"></script>
<script type="text/javascript" src="js/controller.js"></script>
</body>
</html>
